Bug 146592 - cups-config-daemon repeatedly asks to configure printer
Summary: cups-config-daemon repeatedly asks to configure printer
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-30 05:47 UTC by Robert Nichols
Modified: 2017-07-20 06:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 06:12:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Nichols 2005-01-30 05:47:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
There is no way to tell cups-config-daemon to ignore a printer that is
handled by a vendor-supplied CUPS driver that is not configurable via
foomatic tools.  The result is that every time I turn on my
(configured and working) Epson Stylus 4600 printer I get a popup
dialog informing me that the driver was not detected and asking me to
select a driver.  I have my choice of clicking on "Cancel", knowing
that I will be asked again the next time the printer is turned on, or
selecting some driver from the supplied list and causing a bogus print
queue to be created.

There need to be a way to tell cups-config-daemon to ignore a device,
similar to the "ignore" option in kudzu.  Currently, the only
satisfactory workaround is "chkconfig cups-config-daemon off".

Version-Release number of selected component (if applicable):
hal-cups-utils-0.5.2-8

How reproducible:
Always

Steps to Reproduce:
1. Turn on a USB printer model that is not handled through a driver
known to foomatic.

Additional information:

Comment 1 Matthew Miller 2006-07-10 21:03:05 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-05 06:12:09 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.


Note You need to log in before you can comment on or make changes to this bug.